Name:           chk-mongo-cgi
Version:        1.2
Release:        2%{?dist}
Summary:        Scripts for monitoring MongoDB
Group:          Applications/Archiving
License:        MIT
Source:         %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
those with the secret key can remotely check the status of mongodb

%prep
%setup -n %{name}

%build

%define dest $RPM_BUILD_ROOT/var/www
%define orig $RPM_BUILD_DIR/%{name}

%install
mkdir -p %{dest}/chk-mongo-cgi
install -m755 %{orig}/base.sh %{dest}
install -m755 %{orig}/check_mongodb %{dest}
install -m755 %{orig}/chk-mongo-cgi/* %{dest}/chk-mongo-cgi
install -m755 %{orig}/examplesecret %{dest}


%files
/var/www/base.sh
/var/www/check_mongodb
/var/www/examplesecret
/var/www/chk-mongo-cgi/*

%changelog
* Fri Dec 06 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.2 - 1
- up mem limit

* Mon Apr 15 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.1 - 1
- check_mongodb is installed locally now

* Fri Apr 12 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 1.0 - 1
- build custom package
